Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deLine.hpp File Reference

Mathematical Line Representations. More...

`#include "deGlobalTypes.hpp"`
`#include "deArray.hpp"`
`#include "deMath.hpp"`
`#include "deBrush.hpp"`

Include dependency graph for deLine.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeLine
class | IdeSplinePatch
## Functions
DEDLL_IMPORT IdeLine * | IdeLine_CreateStraightLine ()
DEDLL_IMPORT IdeLine * | IdeLine_CreateBezierLine ()
DEDLL_IMPORT IdeLine * | IdeLine_CreateArcLine ()
DEDLL_IMPORT IdeLine * | IdeLine_CreateGroupLine ()
DEDLL_IMPORT deBoolean | IdeLine_GroupLineAdd (IdeLine *Group, IdeLine *ToAdd)
DEDLL_IMPORT long | IdeLine_GroupLineRemoveLast (IdeLine *Group)
DEDLL_IMPORT IdeSplinePatch * | IdeLine_CreateSplinePatch ()

## Detailed Description

Mathematical Line Representations.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Nov 2001

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

DEDLL_IMPORT IdeLine* IdeLine_CreateArcLine | ( |  | ) |

DEDLL_IMPORT IdeLine* IdeLine_CreateBezierLine | ( |  | ) |

DEDLL_IMPORT IdeLine* IdeLine_CreateGroupLine | ( |  | ) |

DEDLL_IMPORT IdeSplinePatch* IdeLine_CreateSplinePatch | ( |  | ) |

DEDLL_IMPORT IdeLine* IdeLine_CreateStraightLine | ( |  | ) |

DEDLL_IMPORT deBoolean IdeLine_GroupLineAdd | ( | IdeLine * | Group,
|  | IdeLine * | ToAdd
| ) |

DEDLL_IMPORT long IdeLine_GroupLineRemoveLast | ( | IdeLine * | Group | ) |